# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TOperationHandle

Packages that use TOperationHandle
Package
Description
com.databricks.jdbc.common.util
com.databricks.jdbc.dbclient.impl.common
com.databricks.jdbc.model.client.thrift.generated

## Uses of TOperationHandle in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return TOperationHandle
Modifier and Type
Method
Description
`static TOperationHandle`
DatabricksThriftUtil.`getOperationHandle(StatementId statementId)`

## Uses of TOperationHandle in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common with parameters of type TOperationHandle
Modifier and Type
Method
Description
`static String`
StatementId.`loggableStatementId(TOperationHandle operationHandle)`
Returns a loggable statement Id for the given Thrift operation handle.

## Uses of TOperationHandle in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TOperationHandle
Modifier and Type
Class
Description
`class`
`TOperationHandle`
`class`
`TOperationHandle`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TOperationHandle
Modifier and Type
Field
Description
`TOperationHandle`
TCancelOperationReq.`operationHandle`
`TOperationHandle`
TCloseOperationReq.`operationHandle`
`TOperationHandle`
TExecuteStatementResp.`operationHandle`
`TOperationHandle`
TFetchResultsReq.`operationHandle`
`TOperationHandle`
TGetCatalogsResp.`operationHandle`
`TOperationHandle`
TGetColumnsResp.`operationHandle`
`TOperationHandle`
TGetCrossReferenceResp.`operationHandle`
`TOperationHandle`
TGetFunctionsResp.`operationHandle`
`TOperationHandle`
TGetOperationStatusReq.`operationHandle`
`TOperationHandle`
TGetPrimaryKeysResp.`operationHandle`
`TOperationHandle`
TGetResultSetMetadataReq.`operationHandle`
`TOperationHandle`
TGetSchemasResp.`operationHandle`
`TOperationHandle`
TGetTablesResp.`operationHandle`
`TOperationHandle`
TGetTableTypesResp.`operationHandle`
`TOperationHandle`
TGetTypeInfoResp.`operationHandle`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TOperationHandle
Modifier and Type
Method
Description
`TOperationHandle`
TOperationHandle.`deepCopy()`
`TOperationHandle`
TCancelOperationReq.`getOperationHandle()`
`TOperationHandle`
TCloseOperationReq.`getOperationHandle()`
`TOperationHandle`
TExecuteStatementResp.`getOperationHandle()`
`TOperationHandle`
TFetchResultsReq.`getOperationHandle()`
`TOperationHandle`
TGetCatalogsResp.`getOperationHandle()`
`TOperationHandle`
TGetColumnsResp.`getOperationHandle()`
`TOperationHandle`
TGetCrossReferenceResp.`getOperationHandle()`
`TOperationHandle`
TGetFunctionsResp.`getOperationHandle()`
`TOperationHandle`
TGetOperationStatusReq.`getOperationHandle()`
`TOperationHandle`
TGetPrimaryKeysResp.`getOperationHandle()`
`TOperationHandle`
TGetResultSetMetadataReq.`getOperationHandle()`
`TOperationHandle`
TGetSchemasResp.`getOperationHandle()`
`TOperationHandle`
TGetTablesResp.`getOperationHandle()`
`TOperationHandle`
TGetTableTypesResp.`getOperationHandle()`
`TOperationHandle`
TGetTypeInfoResp.`getOperationHandle()`
`TOperationHandle`
TOperationHandle.`setHasResultSet(boolean hasResultSet)`
`TOperationHandle`
TOperationHandle.`setModifiedRowCount(double modifiedRowCount)`
`TOperationHandle`
TOperationHandle.`setOperationId(THandleIdentifier operationId)`
`TOperationHandle`
TOperationHandle.`setOperationType(TOperationType operationType)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TOperationHandle
Modifier and Type
Method
Description
`int`
TOperationHandle.`compareTo(TOperationHandle other)`
`boolean`
TOperationHandle.`equals(TOperationHandle that)`
`TCancelOperationReq`
TCancelOperationReq.`setOperationHandle(TOperationHandle operationHandle)`
`TCloseOperationReq`
TCloseOperationReq.`setOperationHandle(TOperationHandle operationHandle)`
`TExecuteStatementResp`
TExecuteStatementResp.`setOperationHandle(TOperationHandle operationHandle)`
`TFetchResultsReq`
TFetchResultsReq.`setOperationHandle(TOperationHandle operationHandle)`
`TGetCatalogsResp`
TGetCatalogsResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetColumnsResp`
TGetColumnsResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetCrossReferenceResp`
TGetCrossReferenceResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetFunctionsResp`
TGetFunctionsResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetOperationStatusReq`
TGetOperationStatusReq.`setOperationHandle(TOperationHandle operationHandle)`
`TGetPrimaryKeysResp`
TGetPrimaryKeysResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetResultSetMetadataReq`
TGetResultSetMetadataReq.`setOperationHandle(TOperationHandle operationHandle)`
`TGetSchemasResp`
TGetSchemasResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetTablesResp`
TGetTablesResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetTableTypesResp`
TGetTableTypesResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetTypeInfoResp`
TGetTypeInfoResp.`setOperationHandle(TOperationHandle operationHandle)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TOperationHandle
Modifier
Constructor
Description
``
`TCancelOperationReq(TOperationHandle operationHandle)`
``
`TCloseOperationReq(TOperationHandle operationHandle)`
``
`TFetchResultsReq(TOperationHandle operationHandle, TFetchOrientation orientation, long maxRows)`
``
`TGetOperationStatusReq(TOperationHandle operationHandle)`
``
`TGetResultSetMetadataReq(TOperationHandle operationHandle)`
``
`TOperationHandle(TOperationHandle other)`
Performs a deep copy on other.